"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inheritedClassMapper = void 0;
const core_1 = require("@tsed/core");
const JsonSchemaMapperContainer_1 = require("../registries/JsonSchemaMapperContainer");
const getInheritedStores_1 = require("../utils/getInheritedStores");
/**
 * @ignore
 */
function inheritedClassMapper(obj, { target, ...options }) {
    const stores = Array.from((0, getInheritedStores_1.getInheritedStores)(target).entries()).filter(([model]) => (0, core_1.classOf)(model) !== (0, core_1.classOf)(target));
    if (stores.length) {
        const schema = stores.reduce((obj, [, store]) => {
            return (0, core_1.deepMerge)(obj, (0, JsonSchemaMapperContainer_1.execMapper)("schema", store.schema, options));
        }, {});
        obj = (0, core_1.deepMerge)(schema, obj);
    }
    return obj;
}
exports.inheritedClassMapper = inheritedClassMapper;
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("inheritedClass", inheritedClassMapper);
//# sourceMappingURL=inheritedClassMapper.js.map