"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapMapper = void 0;
const generics_1 = require("../utils/generics");
const JsonSchemaMapperContainer_1 = require("../registries/JsonSchemaMapperContainer");
/**
 * Serialize class which inherit from Map like JsonMap, JsonOperation, JsonParameter.
 * @param input
 * @param ignore
 * @param options
 * @ignore
 */
function mapMapper(input, { ignore = [], ...options } = {}) {
    options = (0, generics_1.mapGenericsOptions)(options);
    return Array.from(input.entries()).reduce((obj, [key, value]) => {
        if (ignore.includes(key)) {
            return obj;
        }
        obj[key] = (0, JsonSchemaMapperContainer_1.execMapper)("item", value, options);
        return obj;
    }, {});
}
exports.mapMapper = mapMapper;
(0, JsonSchemaMapperContainer_1.registerJsonSchemaMapper)("map", mapMapper);
//# sourceMappingURL=mapMapper.js.map