"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Property = void 0;
const core_1 = require("@tsed/core");
const jsonEntityFn_1 = require("./jsonEntityFn");
/**
 * Declare a new property on a model.
 *
 * @param type
 * @decorator
 * @validation
 * @swagger
 * @schema
 * @input
 */
function Property(type) {
    return (0, jsonEntityFn_1.JsonEntityFn)((store) => {
        if (type) {
            if ((0, core_1.isClass)(type) || (0, core_1.isArrowFn)(type)) {
                store.type = type;
            }
            store.itemSchema.type(type);
        }
    });
}
exports.Property = Property;
//# sourceMappingURL=property.js.map