"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonOperationPathsMap = void 0;
const httpMethods_1 = require("../constants/httpMethods");
class JsonOperationPathsMap extends Map {
    $kind = "operationPaths";
    $isJsonDocument = true;
    setOperationPath(operationPath) {
        if (operationPath.method !== httpMethods_1.OperationMethods.CUSTOM) {
            const key = this.getKey(operationPath.method, operationPath.path);
            this.set(key, operationPath);
        }
    }
    getKey = (method, path) => `${method}-${path}`;
}
exports.JsonOperationPathsMap = JsonOperationPathsMap;
//# sourceMappingURL=JsonOperationPathsMap.js.map