/**
 * @ignore
 */
const JsonSchemaMappersContainer = new Map();
/**
 * @ignore
 */
export function registerJsonSchemaMapper(type, mapper) {
    return JsonSchemaMappersContainer.set(type, mapper);
}
/**
 * @ignore
 */
export function getJsonSchemaMapper(type) {
    // istanbul ignore next
    if (!JsonSchemaMappersContainer.has(type)) {
        throw new Error(`JsonSchema ${type} mapper doesn't exists`);
    }
    return JsonSchemaMappersContainer.get(type);
}
/**
 * @ignore
 */
export function execMapper(type, schema, options, parent) {
    return getJsonSchemaMapper(type)(schema, options, parent);
}
export function hasMapper(type) {
    return JsonSchemaMappersContainer.has(type);
}
export function oneOfMapper(...types) {
    return types.find((type) => JsonSchemaMappersContainer.has(type));
}
//# sourceMappingURL=JsonSchemaMapperContainer.js.map