/**
 * Add a input file parameter.
 *
 * ::: warning
 * Don't use decorator with Ts.ED application to decorate parameters. Use @@BodyParams@@, @@PathParams@@, etc... instead.
 * But you can use this decorator on Method, to add extra in parameters like Authorization header.
 *
 * ```typescript
 * @Controller("/")
 * class MyController {
 *    @Post("/")
 *    method(@InFile("file1") file: any) {
 *    }
 *  }
 * ```
 * :::
 *
 * @decorator
 * @swagger
 * @schema
 * @input
 * @operation
 * @param name
 */
export declare function InFile(name: string): ParameterDecorator;
